// #include <vector>

// void auction(std::vector<float> cost_mat, int dimx, int dimy);
extern "C" {
int run_auction(
    int    num_nodes,
    int    num_edges,
    
    float* data,      // data
    int*   offsets,   // offsets for items
    int*   columns,
    
    int*   person2item, // results
    
    float auction_max_eps,
    float auction_min_eps,
    float auction_factor,
    
    int num_runs,
    int verbose
);

extern void AuctionHelper(float* raw_data, int num_nodes, int eps);

}


int load_data(float *raw_data, int size);
