#include "jonker-volgenant.h"
#include "hungarian.h"
#include "auction.h"
#include <stdio.h>
#include <stdlib.h>     /* srand, rand */
#include <chrono>
#include <string>
#include <math.h>
#include <iostream>

using namespace std;


void RunAssignmentBench(string algorithm, vector<vector<double> >& cost_matrix, int eps = 1) {
    float* cost_array;
    int index = 0;

    if (algorithm == "auction" ) {
        cost_array = (float *) malloc(sizeof(float) * cost_matrix.size() * cost_matrix.size());
        for (int i = 0; i < cost_matrix.size(); i++) {
            for (int j = 0; j < cost_matrix.size(); j++) {
                cost_array[index] = cost_matrix[i][j];
                index++;
            }
        }
    }

    if (algorithm == "auction") {
        AuctionHelper(cost_array, (int)sqrt(index), eps);
    } else if (algorithm == "hungarian") {
        HungarianHelper(cost_matrix);
    } else {
        JVHelper(cost_matrix);
    }
}
